Ruby: pm_call_node Struct Reference

Ruby 3.3.4p94 (2024-07-09 revision be1089c8ec5ba40e09b1553e36b3174bf4014d9d)

Data Fields
pm_call_node Struct Reference

CallNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
struct pm_node * | receiver
| CallNode::receiver.
pm_location_t | call_operator_loc
| CallNode::call_operator_loc.
pm_constant_id_t | name
| CallNode::name.
pm_location_t | message_loc
| CallNode::message_loc.
pm_location_t | opening_loc
| CallNode::opening_loc.
struct pm_arguments_node * | arguments
| CallNode::arguments.
pm_location_t | closing_loc
| CallNode::closing_loc.
struct pm_node * | block
| CallNode::block.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

CallNode.

Type: PM_CALL_NODE Flags: PM_CALL_NODE_FLAGS_SAFE_NAVIGATION PM_CALL_NODE_FLAGS_VARIABLE_CALL PM_CALL_NODE_FLAGS_ATTRIBUTE_WRITE

Definition at line 1493 of file ast.h.

## Field Documentation

## ◆ arguments

struct pm_arguments_node* pm_call_node::arguments

CallNode::arguments.

Definition at line 1513 of file ast.h.

Referenced by pm_node_destroy().

## ◆ base

pm_node_t pm_call_node::base

The embedded base node.

Definition at line 1495 of file ast.h.

## ◆ block

struct pm_node* pm_call_node::block

CallNode::block.

Definition at line 1519 of file ast.h.

Referenced by pm_node_destroy().

## ◆ call_operator_loc

pm_location_t pm_call_node::call_operator_loc

CallNode::call_operator_loc.

Definition at line 1501 of file ast.h.

## ◆ closing_loc

pm_location_t pm_call_node::closing_loc

CallNode::closing_loc.

Definition at line 1516 of file ast.h.

## ◆ message_loc

pm_location_t pm_call_node::message_loc

CallNode::message_loc.

Definition at line 1507 of file ast.h.

## ◆ name

pm_constant_id_t pm_call_node::name

CallNode::name.

Definition at line 1504 of file ast.h.

## ◆ opening_loc

pm_location_t pm_call_node::opening_loc

CallNode::opening_loc.

Definition at line 1510 of file ast.h.

## ◆ receiver

struct pm_node* pm_call_node::receiver

CallNode::receiver.

Definition at line 1498 of file ast.h.

Referenced by pm_node_destroy().

The documentation for this struct was generated from the following file:

- prism/ast.h